%define major 0
%define libname %mklibname %{name}_ %{major}
%define girname %mklibname udisks-gir 2.0
%define develname %mklibname -d %name

Summary: Disk Manager
Name: udisks2
Version: 2.0.1
%define subrel 1
Release: %mkrel 2
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://udisks.freedesktop.org/releases/udisks-%{version}.tar.bz2
Patch0: udisks-1.92.0-link.patch
Patch1: udisks-2.x.x-CVE-2014-0004.patch
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.31.13
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.31.13
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: pkgconfig(libatasmart) >= 0.17
BuildRequires: pkgconfig(libsystemd-login) >= 44
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires: pkgconfig(polkit-agent-1) >= 0.92
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-common
BuildRequires: gettext-devel
BuildRequires: gtk-doc >= 1.3
# needed to pull in the system bus daemon
Requires: dbus >= 1.4.0
# needed to pull in the udev daemon
Requires: udev >= 173
# for mount, umount, mkswap
Requires: util-linux
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: xfsprogs
# for mkfs.vfat
Requires: dosfstools
# for mlabel
Requires: mtools
Requires: ntfsprogs
# for partitioning
Requires: parted
Requires: gdisk
# for LUKS devices
Requires: cryptsetup-luks
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# for /proc/self/mountinfo, only available in 2.6.26 or higher
Conflicts: kernel < 2.6.26

%description
udisks provides a daemon, D-Bus API and command line tools for
managing disks and storage devices. This package is for the udisks 2.x
series.

%package -n %{libname}
Summary: Dynamic library to access the udisks daemon
Group: System/Libraries
Obsoletes: %{_lib}udisks20 < 1.90.0-2
License: LGPLv2+

%description -n %{libname}
This package contains the dynamic library libudisks2, which provides
access to the udisks daemon. This package is for the udisks 2.x
series.

%package -n %{girname}
Summary: GObject Introspection interface description for %name
Group: System/Libraries
License: LGPLv2+
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Development files for libudev
Group: System/Libraries
License: LGPLv2+
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for the library
libudisks2, a dynamic library, which provides access to the udisks
daemon. This package is for the udisks 2.x series.

%prep
%setup -q -n udisks-%{version}
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --enable-gtk-doc --disable-static --with-systemdsystemunitdir=%{_unitdir}
%make

%install
mkdir -p %buildroot%{_localstatedir}/lib/%{name}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%files -f %name.lang
%doc README AUTHORS NEWS COPYING HACKING
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/bash-completion/completions/udisksctl 
%{_prefix}/lib/udev/rules.d/80-udisks2.rules
%{_sbindir}/umount.udisks2

%dir %{_prefix}/lib/udisks2
%{_prefix}/lib/udisks2/udisksd

%{_bindir}/udisksctl

%{_mandir}/man1/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/org.freedesktop.udisks2.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%{_unitdir}/udisks2.service

# Permissions for local state data are 0700 to avoid leaking information
# about e.g. mounts to unprivileged users
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2

%files -n %libname
%{_libdir}/libudisks2.so.%{major}*

%files -n %girname
%{_libdir}/girepository-1.0/UDisks-2.0.typelib

%files -n %develname
%{_libdir}/libudisks2.so
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_datadir}/gir-1.0/UDisks-2.0.gir
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*
%{_libdir}/pkgconfig/udisks2.pc


%changelog
* Mon Mar 10 2014 luigiwalser <luigiwalser> 2.0.1-2.1.mga3
+ Revision: 601756
- add patch from fedora to fix CVE-2014-0004

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 384964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 2.0.1-1.mga3
+ Revision: 338315
- 2.0.1

* Sun Oct 14 2012 tv <tv> 2.0.0-1.mga3
+ Revision: 305288
- further adjust file list
- adjus file list
- new release

* Sat Jul 28 2012 fwang <fwang> 1.99.0-1.mga3
+ Revision: 275127
- update file list
- update file list
- new version 1.99.0

* Mon Jun 11 2012 fwang <fwang> 1.98.0-2.mga3
+ Revision: 259712
- use systemd login

* Mon Jun 11 2012 fwang <fwang> 1.98.0-1.mga3
+ Revision: 259707
- use correct dirname
- fix install
- new verison 1.98.0

* Tue May 29 2012 fwang <fwang> 1.97.0-1.mga3
+ Revision: 248924
- new version 1.97.0

* Sat Apr 28 2012 tmb <tmb> 1.93.0-2.mga2
+ Revision: 233889
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Mar 19 2012 colin <colin> 1.93.0-1.mga2
+ Revision: 224510
- New version: 1.93.0 (SSD + misc small fixes)

* Sun Feb 26 2012 colin <colin> 1.92.0-2.mga2
+ Revision: 215403
- Include systemd unit (mga#4704)

* Sat Feb 25 2012 fwang <fwang> 1.92.0-1.mga2
+ Revision: 214313
- update file list
- update file list
- br gettext
- use gnome-autogen
- br gnoem-common
- fix linkage
- add upstream  patch to fix program calling path, hope it could fix bug#4382

* Sun Jan 22 2012 fwang <fwang> 1.90.0-2.mga2
+ Revision: 199518
- fix typo
- correct libname

* Sun Jan 22 2012 fwang <fwang> 1.90.0-1.mga2
+ Revision: 199506
- fix typo
- imported package udisks2

